import { Observable } from "rxjs/Observable";
import { Partial } from "ht-models";
export declare const apiQueryFactory$: (config: EntityApiQueryConfig) => Observable<any[]>;
export interface DateRangeApiQueryConfig {
    dateRangeQuery$: Observable<object>;
}
export interface EntityItemApiQueryConfig {
    id$: Observable<string>;
}
export interface EntityListApiQueryConfig {
    allowedQueryKeys: string[] | null;
    defaultQuery: object;
    active$: Observable<boolean>;
}
export interface ApiQueryConfig {
    query$: Observable<object>;
}
export interface EntityApiQueryConfig extends ApiQueryConfig, Partial<EntityListApiQueryConfig>, Partial<EntityItemApiQueryConfig>, Partial<DateRangeApiQueryConfig> {
}
export interface ListApiQueryConfig extends ApiQueryConfig, EntityListApiQueryConfig, DateRangeApiQueryConfig {
}
export interface ItemApiQueryConfig extends ApiQueryConfig, EntityItemApiQueryConfig, Partial<DateRangeApiQueryConfig> {
}
